# boost::lockfree::detail::fifo< T, freelist_t, Alloc > Class Template Reference

Inherited by boost::lockfree::fifo< T, freelist_t, Alloc >, and boost::lockfree::fifo< T *, freelist_t, Alloc >.

List of all members.

## Detailed Description

### template<typename T, typename freelist_t, typename Alloc>
class boost::lockfree::detail::fifo< T, freelist_t, Alloc >

Definition at line 39 of file fifo.hpp.

## Public Member Functions

| fifo (void)
| fifo (std::size_t initial_nodes)
| ~fifo (void)
bool | empty (void)
bool | enqueue (T const &t)
bool | dequeue (T *ret)

## Static Public Attributes

static const bool | is_lockfree = node::tagged_ptr_t::is_lockfree

## Classes

struct | node

The documentation for this class was generated from the following file:

- common/include/boost/lockfree/fifo.hpp